{% extends "base_layout.html" %}
{% block content %} 
{% load static from staticfiles %}       
<div class="sub_friends_list">
    <div class="header friends">
        <h1 class="judul">Friends</h1>
    </div>
    <div class="hero friends_list">
        <img class="party" src="{% static 'portfolio_page/img/giphy.gif' %}" alt="" class="party">
        <img class="profileku" src="{% static 'portfolio_page/img/profile.png' %}" alt="Tolhas P. J.">
        <h2>Tolhas Parulian Jonathan</h2>
    </div>
    <div class="my_brief_description">
        <p>Nama panggilan saya Tolhas. Saya adalah seorang manusia yang tinggal di Bumi, terlahir di Jakarta pada tanggal 12 September 2000. Saya adalah seorang mahasiswa di PTN. Sekarang saya sedang menuntut ilmu di PTN tersebut.</p>
    </div>
    <div class="my_contact">
        <h4>Line ku</h4>
        <div class="my_contact_media">
            <img src="{% static 'friends/img/contact_1.png' %}" alt="hero">
            <img src="{% static 'friends/img/contact_2.png' %}" alt="id_line">
            <img src="{% static 'friends/img/contact_3.png' %}" alt="barcode">
        </div>
    </div>
    {% if not existance %}
        <div class="persuade">
            <h3>Come On! Be my Friend</h3>
            <a href="{% url 'friends:add' %}">
                Be my Friend
            </a>
        </div>
    {% endif %}
    <div class="friends_title">
        {% if friends_object_total == 0 %}
            <h4>Ayo jadi teman pertamaku!</h4>
        {% elif friends_object_total == 1 %}
            <h4>My Friend</h4>
        {% elif friends_object_total > 1 %}
            <h4>My Friends</h4>
        {% endif %}
    </div>
    <div class="sub_friends_list_content">
        {% for friend in friends_object %}
            <div class="sub_friends_list_box">
                <a href="{% url 'friends:detail' slug=friend.username %}">
                    {% if friend.avatar %}
                        <img src="{{ friend.avatar.url }}" alt="{{ friend.name }}">
                    {% elif friend.gender == 'Female' %}
                        <img src="{% static 'friends/img/avatar/female.png' %}" alt="{{friend.name}}" class="avatar">
                    {% elif friend.gender == 'Male' %}
                        <img src="{% static 'friends/img/avatar/male.png' %}" alt="{{friend.name}}" class="avatar">
                    {% endif %}
                    <p class="sub_friends_list_name">{{friend.name}}</p>    
                </a>
                <p class="sub_friends_list_username">{{friend.username}}</p>
            </div>
        {% endfor %}
    </div>    
</div>
{% endblock %}
 